"use strict";

exports.__esModule = true;
exports.default = useFocusVisible;

var _useModality2 = _interopRequireDefault(require("../use-modality"));

var _useFocus2 = _interopRequireDefault(require("../use-focus"));

var _useFocusWithin2 = _interopRequireDefault(require("../use-focus-within"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
var emptyObject = {};
/**
 * Respond to changes in *visibile* focus. Focus is visible whenever a keyboard is used.
 */

function useFocusVisible(targetRef, config) {
  var _ref = config || emptyObject,
      disabled = _ref.disabled;

  var _useModality = (0, _useModality2.default)(),
      activeModality = _useModality.activeModality;

  var _useFocus = (0, _useFocus2.default)(targetRef, {
    disabled: disabled
  }),
      isFocused = _useFocus.isFocused;

  var _useFocusWithin = (0, _useFocusWithin2.default)(targetRef, {
    disabled: disabled
  }),
      isFocusWithin = _useFocusWithin.isFocusWithin;

  var focusVisible = activeModality === 'keyboard';
  return {
    isFocusVisible: isFocused && focusVisible,
    isFocusVisibleWithin: isFocusWithin && focusVisible
  };
}

module.exports = exports.default;