"use strict";

exports.__esModule = true;
exports.default = useModality;

var React = _interopRequireWildcard(require("react"));

var _modality = require("../__modules__/modality");

var _useLayoutEffect = _interopRequireDefault(require("../__modules__/useLayoutEffect"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Copyright (c) Nicolas Gallagher.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
function useModality() {
  var _React$useState = React.useState((0, _modality.getActiveModality)()),
      activeModality = _React$useState[0],
      setActiveModality = _React$useState[1];

  var _React$useState2 = React.useState((0, _modality.getModality)()),
      modality = _React$useState2[0],
      setModality = _React$useState2[1];

  (0, _useLayoutEffect.default)(function () {
    var removeModalityListener = (0, _modality.addModalityListener)(function (_ref) {
      var activeModality = _ref.activeModality,
          modality = _ref.modality;
      setActiveModality(activeModality);
      setModality(modality);
    });
    return removeModalityListener;
  }, []);
  return {
    activeModality: activeModality,
    modality: modality
  };
}

module.exports = exports.default;